<?php

if ( !defined( 'START_CONFIG' ) ) {
	die;
}

	function getUserAgentInfo() {
		$user_agent = $_SERVER['HTTP_USER_AGENT'];
		$os = '';
		$browser = '';
		$version = '';
		if (preg_match('/windows/i', $user_agent)) {
			$os = 'Windows';
			if (preg_match('/Windows NT 10.0/i', $user_agent)) {
				$version = '10';
			} elseif (preg_match('/Windows NT 6.3/i', $user_agent)) {
				$version = '8.1';
			} elseif (preg_match('/Windows NT 6.2/i', $user_agent)) {
				$version = '8';
			} elseif (preg_match('/Windows NT 6.1/i', $user_agent)) {
				$version = '7';
			} elseif (preg_match('/Windows NT 6.0/i', $user_agent)) {
				$version = 'Vista';
			} elseif (preg_match('/Windows NT 5.1/i', $user_agent)) {
				$version = 'XP';
			} elseif (preg_match('/Windows NT 5.0/i', $user_agent)) {
				$version = '2000';
			}
		} elseif (preg_match('/android/i', $user_agent)) {
			$os = 'Android';
		} elseif (preg_match('/iphone/i', $user_agent)) {
			$os = 'iPhone';
		} elseif (preg_match('/ipad/i', $user_agent)) {
			$os = 'iPad';
		} elseif (preg_match('/mac/i', $user_agent)) {
			$os = 'Mac';
		} elseif (preg_match('/linux/i', $user_agent)) {
			$os = 'Linux';
		} elseif (preg_match('/unix/i', $user_agent)) {
			$os = 'Unix';
		} elseif (preg_match('/symbian/i', $user_agent)) {
			$os = 'Symbian';
		}
		if(preg_match('/MSIE/i', $user_agent) && !preg_match('/Opera/i', $user_agent)) {
			$browser = 'Internet Explorer';
		} elseif(preg_match('/Firefox/i', $user_agent)) {
			$browser = 'Mozilla Firefox';
		} elseif(preg_match('/OPR/i', $user_agent)) {
			$browser = 'Opera';
		} elseif(preg_match('/Chrome/i', $user_agent) && !preg_match('/Edge/i', $user_agent)) {
			$browser = 'Chrome';
		} elseif(preg_match('/Safari/i', $user_agent) && !preg_match('/Edge/i', $user_agent)) {
			$browser = 'Safari';
		} elseif(preg_match('/Netscape/i', $user_agent)) {
			$browser = 'Netscape';
		} elseif(preg_match('/Edge/i', $user_agent)) {
			$browser = 'Microsoft Edge';
		} elseif(preg_match('/Trident/i', $user_agent)) {
			$browser = 'Internet Explorer';
		} elseif(preg_match('/Opera/i', $user_agent)) {
			$browser = 'Opera';
		}
		return array(
			'os' => $os,
			'browser' => $browser,
			'version' => $version
		);
	}

	function getCountryByIP($ip) {
		$url = "http://ip-api.com/json/".$ip;
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		$response = curl_exec($ch);
		curl_close($ch);
		$result = json_decode($response, true);
		if ($result['status'] === "success") {
			$country = [
				'name' => $result['country'],
				'code' => $result['countryCode'],
				'city' => $result['city'],
				'flag' => "https://flagcdn.com/24x18/".strtolower($result['countryCode']).".png"
			];
			return $country;
		} else {
			return false;
		}
	}




// доп. библиотеки

function get_data ($dir='') {
	if ($dir) {
		@$data = file_get_contents($dir.'ipqq/genxml.data');
		} else $data = file_get_contents('ipqq/genxml.data');
	if ($data == '') {
		return array();
	} else {
		return unserialize($data);
	}
}

function save_data ($data, $fl='') {
	if ($fl !='')
	file_put_contents($fl.'genxml.data', serialize($data));
	else
	file_put_contents('genxml.data', serialize($data));
	
}


// crypt Function
function crypt_md_f($txt) {
  $code=md5(ENCRYPTION_KEY.$txt);
  return $code;
}
 
 
function load_tpl($tpl,$arr=null){

	$a=$_SERVER['DOCUMENT_ROOT'].'/inc/tpl/'.$tpl;
	@$txt=file_get_contents($a);

	if (!empty($txt)){
	
		if (is_array($arr) && count($arr)>0){
			foreach ($arr as $a=>$b){
	
				if ($b === NULL) $b='';
				$txt=str_ireplace($a,$b,$txt);
				}
			return $txt;
			}else {
				return $txt;
				} 
		}
	} 
 
 
 
function get_ip($ip='')
{
	// пока заглушка стоит
	//return ('95.30.24.130');
	
	if ($ip!=='') return $ip; // для теста 
	
    if (!empty($_SERVER['HTTP_CLIENT_IP']))
    {
        $ip=$_SERVER['HTTP_CLIENT_IP'];
    }
    elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
    {
        $ip=$_SERVER['HTTP_X_FORWARDED_FOR'];
    }
    else
    {
        $ip=$_SERVER['REMOTE_ADDR'];
    }
    if (is_array($ip)){
		
		foreach ($ip as $a=>$b){
			return $b;
			break;
			}
		}else return $ip;
    
}
 





